org.red5.server.api.stream

## Interface IStreamPacket

All Known Implementing Classes:
  Aggregate, AudioData, FlexMessage, FlexStreamSend, Invoke, Notify, VideoData

    public interface IStreamPacket

Packet containing stream data.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)

### Method Summary

Methods
`org.apache.mina.core.buffer.IoBuffer` `getData()` Packet contents.
`byte` `getDataType()` Type of this packet.
`int` `getTimestamp()` Timestamp of this packet.

### Method Detail

#### getDataType

    byte getDataType()

Type of this packet. This is one of the `TYPE_` constants.

Returns:
  the type

#### getTimestamp

    int getTimestamp()

Timestamp of this packet.

Returns:
  the timestamp in milliseconds

#### getData

    org.apache.mina.core.buffer.IoBuffer getData()

Packet contents.

Returns:
  the contents